/*
 * Created on Oct 14, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * State to display the get people screen.
 */

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;

/**
 * @author harshy
 * @version 1.0
 *
 * Display the screen to get the number of people.
 * @see GetPeopleScreen
 */
public class GetPeopleState extends TipCalcState
{
	/**
	 * Creates the screen associated with this state.
	 * 
	 * @param main MIDlet object
	 * @param mach State machine
	 */
	public GetPeopleState(TipCalc main, TipStateMachine mach)
	{
		super(main, mach);
		stateScreen = new GetPeopleScreen(this);
	}
	
	/**
	 * Get the number of people from the GetPeopleScreen.
	 * Let the superclass handle the commands.
	 */
	public void commandAction(Command c, Displayable d)
	{
		GetPeopleScreen theScreen = (GetPeopleScreen) stateScreen;
		midlet.calc.setNumPeople(theScreen.getString());
		
		// Pass unhandled stuff to parent.
		super.commandAction(c, d);
	}
}
