/*
 * Created on Oct 6, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * Screen used to get the meal price.
 * 
 */

import javax.microedition.lcdui.*;

/**
 * @author harshy
 * @version 1.0
 *
 * This class is the screen for getting the meal price.
 * It requires a command listener to be specified in
 * the constructor.
 * 
 * Commands generated are EXIT and OK.
 * 
 * @see GetPriceState
 */
public class GetPriceScreen extends TextBox
{
	/**
	 * Create the screen, set the possible commands and
	 * attach the command listener.
	 * 
	 * @param listener The command listener object for
	 * this screen.
	 */
	public GetPriceScreen(CommandListener listener)
	{
		super("TipCalc: Enter price", "", 10, 0);
		
		Command exitCommand = new Command("", Command.EXIT, 1);
		addCommand(exitCommand);
		
		Command okCommand = new Command("", Command.OK, 1);
		addCommand(okCommand);
		
		setCommandListener(listener);
	}
}
