/*
 * Created on Oct 6, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * Class to handle getting the meal price.
 * 
 */

import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.Displayable;

/**
 * @author harshy
 * @version 1.0
 *
 * Get meal price state.
 * 
 * @see TipCalcState
 * @see GetPriceScreen
 */
public class GetPriceState extends TipCalcState
{
	/**
	 * Creates the screen associated with this state.
	 * 
	 * @param main MIDlet object
	 * @param mach State machine
	 */
	public GetPriceState(TipCalc main, TipStateMachine mach)
	{
		super(main, mach);
		stateScreen = new GetPriceScreen(this);
	}
	
	/**
	 * Get the current price from the GetPriceScreen.
	 * Let the superclass handle the commands.
	 */
	public void commandAction(Command c, Displayable d)
	{
		GetPriceScreen theScreen = (GetPriceScreen) stateScreen;
		midlet.calc.setMealPrice(theScreen.getString());
		
		// Pass unhandled stuff to parent.
		super.commandAction(c, d);
	}
}
