/*
 * Created on Oct 7, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * Class to display the results of the tip calculation app.
 */

import javax.microedition.lcdui.*;

/**
 * @author harshy
 * @version 1.0
 *
 * Screen to display the results of the tip calculation app.
 * 
 * @see ShowResultState
 */
public class ShowResultScreen extends Form
{
	StringItem	tipItem;
	StringItem  totalItem;
	StringItem  personItem;
	
	/**
	 * Build the screen to display the results.
	 * 
	 * @param listener Command listener for this screen.
	 */
	ShowResultScreen(CommandListener listener)
	{
		super("Tip Calc: Results");
		
		Command exitCommand = new Command("", Command.EXIT, 1);
		addCommand(exitCommand);
		
		Command prevCommand = new Command("", Command.BACK, 1);
		addCommand(prevCommand);
		
		setCommandListener(listener);
		
		tipItem = new StringItem("", "Tip: \n");
		append(tipItem);
		totalItem = new StringItem("", "Total: \n");
		append(totalItem);
		personItem = new StringItem("", "Per Person: \n");
		append(personItem);
	}
	
	/**
	 * Update the tip amount displayed on the screen.
	 * 
	 * @param newResult New tip amount to display on the screen.
	 */
	public void updateTipAmount(String newTip)
	{
		tipItem.setText("Tip: " + newTip + "\n");
	}
	public void updateTotal(String newTotal)
	{
		totalItem.setText("Total: " + newTotal + "\n");
	}
	public void updatePerPerson(String newPerPerson)
	{
		personItem.setText("Per Person: " + newPerPerson + "\n");
	}
}
