/*
 * Created on Oct 7, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * Contains the class which designates the results
 * state of the tip state machine.
 */

/**
 * @author harshy
 * @version 1.0
 *
 * This class embodies the results display state of
 * the Tip Calculation state machine.
 * 
 * Lets the super class handle commands, but has a method
 * to update the results displayed on the screen.
 * 
 * @see TipCalcState
 * @see ShowResultScreen
 */
public class ShowResultState extends TipCalcState
{
	/**
	 * Create screen associated with this state.
	 * 
	 * @param main MIDlet object.
	 * @param mach State machine.
	 */
	public ShowResultState(TipCalc main, TipStateMachine mach)
	{
		super(main, mach);
		stateScreen = new ShowResultScreen(this);
	}
	
	/**
	 * Update the displayed values on the screen.
	 */
	public void updateValues()
	{
		ShowResultScreen theScreen = (ShowResultScreen) stateScreen;
		theScreen.updateTipAmount(midlet.calc.getTipAmount());
		theScreen.updateTotal(midlet.calc.getTotalAmount());
		theScreen.updatePerPerson(midlet.calc.getPerPerson());
	}
}
