/*
 * Created on Oct 5, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * This file contains the main MIDlet class for the
 * application.
 */

import javax.microedition.midlet.*;

/**
 * @author harshy
 * @version 1.0
 *
 * This is the main MIDlet class for the
 * Tip Calculator application.
 */
public class TipCalc extends MIDlet
{
	/**
	 * The state machine that controls operation of the
	 * application.
	 * 
	 * @see TipStateMachine
	 */
	private	TipStateMachine state;
	
	/**
	 * The calculation object which does the tip
	 * calculation after being fed the necessary inputs.
	 * 
	 * @see Calculation
	 */
	public 	Calculation		calc;
	
	/**
	 * Empty constructor.  All the startup is done in
	 * the startApp() method.
	 */
	public TipCalc()
	{
	}
	
	/**
	 * Startup method for the MIDlet.
	 * Initialize new state machine, and calculation.
	 * Tells state to display the first screen.
	 */
	public void startApp()
	{
		calc = new Calculation();
		
		state = new TipStateMachine(this);
		state.displayState();
	}
	
	/**
	 * Pause method is not used on some phones.
	 */
	public void pauseApp()
	{
	}
	
	/**
	 * Let go of the state machine and calculation.
	 */
	public void destroyApp(boolean b)
	{
		state = null;
		calc = null;
	}
	
	/**
	 * Function called by states which are signalling
	 * program exit.
	 * 
	 * @see TipCalcState
	 */
	public void exitRequested()
	{
		try
		{
			destroyApp(false);
		}
		catch (Exception e)
		{
			// Catch MIDletStateChangeException.
		}
		notifyDestroyed();
	}
}
