/*
 * Created on Oct 10, 2004
 * 
 * Copyright 2004 Harshy Wanigasekara
 * This software distributed under the terms of the GNU Public license.
 * See the accompanying file COPYING.txt for complete information.
 *
 * Screen to display the title.
 */

import javax.microedition.lcdui.*;

/**
 * @author harshy
 * @version 1.0
 *
 * This screen displays the intro title.
 */
public class TitleScreen extends Form
{
	/**
	 * Build the screen to display the title.
	 * 
	 * @param listener Command listener for this screen.
	 */
	TitleScreen(CommandListener listener)
	{
		super("Tip Calculator");
		
		Command exitCommand = new Command("", Command.EXIT, 1);
		addCommand(exitCommand);
		
		Command nextCommand = new Command("", Command.OK, 1);
		addCommand(nextCommand);
		
		setCommandListener(listener);
		
		append(new StringItem("", "Version 1.0"));
		append(new StringItem("",
				"This program calculates the tip value for a meal, " +
				"and price per person.  " +
				"Pick OK to continue.\n" +
				"Copyright 2004 Harshy Wanigasekara.  This software " +
				"is distributed under the terms of the GNU Public " +
				"License, see the accompanying COPYING.txt file " +
				"for a description of the terms."));
	}
}
